package com.jxml.quick.util.qjmlExpand;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCSequence extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object coin)
		throws SAXException, IOException
	{
		QMSequence dm=(QMSequence)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addBooleanAttribute("optional",dm.optional);
		addBooleanAttribute("repeating",dm.repeating);

		startElement("sequence");

		doCvt(dm.remList,null);
		doCvt(dm.access,coin);
		doCvt(dm.contentList,coin);

		endElement("sequence");
	}
}
